com.amazonaws.services.cloudfront.model

## Class AmazonCloudFrontException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.SdkClientException
            - - com.amazonaws.AmazonServiceException
              - - com.amazonaws.services.cloudfront.model.AmazonCloudFrontException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AccessDeniedException, BatchTooLargeException, CloudFrontOriginAccessIdentityAlreadyExistsException, CloudFrontOriginAccessIdentityInUseException, CNAMEAlreadyExistsException, DistributionAlreadyExistsException, DistributionNotDisabledException, IllegalUpdateException, InconsistentQuantitiesException, InvalidArgumentException, InvalidDefaultRootObjectException, InvalidErrorCodeException, InvalidForwardCookiesException, InvalidGeoRestrictionParameterException, InvalidHeadersForS3OriginException, InvalidIfMatchVersionException, InvalidLambdaFunctionAssociationException, InvalidLocationCodeException, InvalidMinimumProtocolVersionException, InvalidOriginAccessIdentityException, InvalidOriginException, InvalidProtocolSettingsException, InvalidQueryStringParametersException, InvalidRelativePathException, InvalidRequiredProtocolException, InvalidResponseCodeException, InvalidTaggingException, InvalidTTLOrderException, InvalidViewerCertificateException, InvalidWebACLIdException, MissingBodyException, NoSuchCloudFrontOriginAccessIdentityException, NoSuchDistributionException, NoSuchInvalidationException, NoSuchOriginException, NoSuchResourceException, NoSuchStreamingDistributionException, PreconditionFailedException, StreamingDistributionAlreadyExistsException, StreamingDistributionNotDisabledException, TooManyCacheBehaviorsException, TooManyCertificatesException, TooManyCloudFrontOriginAccessIdentitiesException, TooManyCookieNamesInWhiteListException, TooManyDistributionCNAMEsException, TooManyDistributionsException, TooManyDistributionsWithLambdaAssociationsException, TooManyHeadersInForwardedValuesException, TooManyInvalidationsInProgressException, TooManyLambdaFunctionAssociationsException, TooManyOriginCustomHeadersException, TooManyOriginsException, TooManyQueryStringParametersException, TooManyStreamingDistributionCNAMEsException, TooManyStreamingDistributionsException, TooManyTrustedSignersException, TrustedSignerDoesNotExistException

    public class AmazonCloudFrontException
    extends AmazonServiceException

Base exception for all service exceptions thrown by Amazon CloudFront

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException

`AmazonServiceException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`AmazonCloudFrontException(String message)` Constructs a new AmazonCloudFrontException with the specified error message.

### Method Summary

### Methods inherited from class com.amazonaws.AmazonServiceException

`getErrorCode, getErrorMessage, getErrorType, getHttpHeaders, getMessage, getRawResponse, getRawResponseContent, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorMessage, setErrorType, setHttpHeaders, setRawResponse, setRawResponseContent, setRequestId, setServiceName, setStatusCode`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AmazonCloudFrontException

    public AmazonCloudFrontException(String message)

Constructs a new AmazonCloudFrontException with the specified error message.

Parameters:
  `message` - Describes the error encountered.